var index = 0;

var elementArray = {};

var rpCarousel = function(element){

    var currIndex = 0;

    if(getIndexforElement(element)){
        currIndex = getIndexforElement(element);
    } else {
        index = index +1;
        currIndex = index;
    }
    elementArray[currIndex] = {};
    elementArray[currIndex].ele = $(element);
    elementArray[currIndex].items = $(elementArray[currIndex].ele).find('.items');
    //Set initial values
    elementArray[currIndex].totalItemsWidth = 0;
    elementArray[currIndex].leftHidden = 0;
    elementArray[currIndex].moveRight = 0;
    elementArray[currIndex].rightHidden = 0;
    elementArray[currIndex].visibleAreaWidth = 0;

    // figure out the visible area
    getVisibleArea(elementArray[currIndex].ele);

    // to get totalItemsWidth
    $(elementArray[currIndex].items).find('li').each(function(){
        elementArray[currIndex].totalItemsWidth += $(this).width();
    });

    // to set totalItemsWidth to parent UL
    $(elementArray[currIndex].items).css('width',elementArray[currIndex].totalItemsWidth);

    // disabling prev link
    $(elementArray[currIndex].ele).find('.prev').addClass('ng-hide');

    // hiding prev and next links if there are not much items
    if(elementArray[currIndex].totalItemsWidth <= elementArray[currIndex].visibleAreaWidth){
        $(elementArray[currIndex].ele).find('.prev').hide();
        $(elementArray[currIndex].ele).find('.next').hide();
    }else{
        $(elementArray[currIndex].ele).find('.prev').show();
        $(elementArray[currIndex].ele).find('.next').show();
    }

    // prev link function
    $(elementArray[currIndex].ele).find('.prev').click(function(){
        console.log("======== TRYING TO GO PREVIOUS =========");
        rpCarouselPrevious(eval(currIndex));
    });

    // next link function
    $(elementArray[currIndex].ele).find('.next').click(function(){
        console.log("======== TRYING TO GO NEXT =========");
        rpCarouselNext(currIndex);
    })
};

function getVisibleArea(element){
    var selectedElement = getIndexforElement(element);
    elementArray[selectedElement].visibleAreaWidth = $(elementArray[selectedElement].ele).find('.visible-area').outerWidth();
}

function getIndexforElement(element){
    for (var key in elementArray) {
        var obj = elementArray[key];
        var currentName = element.attr("name");
        var comparingName = obj.ele.attr("name");
        if(currentName === comparingName){
            return key;
        }
    }
    return null;
}

function rpCarouselFindNext(element){
    var nextID = getIndexforElement($(element));
    rpCarouselNext(nextID);
}

function rpCarouselFindPrevious(element){
    var prevID = getIndexforElement($(element));
    rpCarouselPrevious(prevID);
}

function rpCarouselPrevious(selectedElement){

    elementArray[selectedElement].moveLeft = elementArray[selectedElement].leftHidden;

    if($(elementArray[selectedElement].ele).find('.next').hasClass('ng-hide')){
        $(elementArray[selectedElement].ele).find('.next').removeClass('ng-hide');
    }
    if(!$(elementArray[selectedElement].ele).hasClass('ng-hide')) {
        if (elementArray[selectedElement].leftHidden <= elementArray[selectedElement].visibleAreaWidth) {
            elementArray[selectedElement].moveLeft = 0;
            $(elementArray[selectedElement].ele).find('.prev').addClass('ng-hide');
        } else {
            elementArray[selectedElement].moveLeft -= elementArray[selectedElement].visibleAreaWidth;
        }
        $(elementArray[selectedElement].items).css('transform', 'translateX(-' + elementArray[selectedElement].moveLeft + 'px)');
        elementArray[selectedElement].leftHidden = elementArray[selectedElement].moveLeft;
    }
}

function rpCarouselNext(selectedElement){

    if($(elementArray[selectedElement].ele).find('.prev').hasClass('ng-hide')){
        $(elementArray[selectedElement].ele).find('.prev').removeClass('ng-hide');
    }
    if(!$(elementArray[selectedElement].ele).hasClass('ng-hide')) {
        elementArray[selectedElement].rightHidden = elementArray[selectedElement].totalItemsWidth - (elementArray[selectedElement].visibleAreaWidth + elementArray[selectedElement].leftHidden);
        if (elementArray[selectedElement].rightHidden < elementArray[selectedElement].visibleAreaWidth) {
            elementArray[selectedElement].moveRight = elementArray[selectedElement].leftHidden + elementArray[selectedElement].rightHidden;
            $(elementArray[selectedElement].ele).find('.next').addClass('ng-hide');
        } else {
            elementArray[selectedElement].moveRight = elementArray[selectedElement].leftHidden + elementArray[selectedElement].visibleAreaWidth;
        }
        $(elementArray[selectedElement].items).css('transform', 'translateX(-' + elementArray[selectedElement].moveRight + 'px)');
        elementArray[selectedElement].leftHidden = elementArray[selectedElement].moveRight;
    }
}

function Carouselstartup(element){
    rpCarousel(element);

    $( window ).resize(function() {
        getVisibleArea(element);
    });

}